package cd.casic.module.terminal.enums;

/**
 * 终端连接类型
 *
 * @author Jiahang Li
 * @version 1.0.0
 * @since 2023/12/26 22:27
 */
public enum TerminalConnectTypeEnum {

    /**
     * ssh
     */
    SSH,

    /**
     * sftp
     */
    SFTP,

    ;

    public static TerminalConnectTypeEnum of(String type) {
        if (type == null) {
            return null;
        }
        for (TerminalConnectTypeEnum value : values()) {
            if (value.name().equalsIgnoreCase(type)) {
                return value;
            }
        }
        return null;
    }

}
